package dk.itu.mario.level.grammar;

import java.util.ArrayList;
import java.util.List;


public class ProductionRule {
	private Variable lhs;
	private List<Variable> rhs;
	
	public ProductionRule(Variable lhs, Variable... rhs) {
		this.lhs = lhs;
		this.rhs = new ArrayList<Variable>();
		for (Variable var : rhs) {
			this.rhs.add(var);
		}
	}
	
	public Variable getLHS() {
		return lhs;
	}
	
	public List<Variable> getRHS() {
		return rhs;
	}
}